Skip to content
Whats91

Check whether a conversation currently has an active custom-board session.

Get Active Session

Summary

Check whether a conversation currently has an active custom-board session.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests
GET/api/v3/custom-boards/sessions/active

Look up the active session for a conversation.

ParameterTypeRequiredDescription
senderIdstringOptionalWhatsApp registered sender phone number.
phoneNumberIdstringOptionalMeta WhatsApp Business phone-number ID.
contactPhonestringRequiredCustomer mobile number to look up.
cURL
curl -X GET "https://graph.whats91.com/api/v3/custom-boards/sessions/active?senderId=913614068784&contactPhone=919999999999" \
  -H "Authorization: Bearer w91_live_xxx"
Session found
{
  "success": true,
  "message": "Active custom board session retrieved",
  "data": {
    "senderId": "913614068784",
    "phoneNumberId": "486728586446799",
    "session": {
      "sessionUid": "cbs_abc123",
      "status": "ACTIVE",
      "contactPhone": "919999999999",
      "boardUid": "external-board-1",
      "leaseExpiresAt": "2026-06-28T12:30:00.000Z"
    }
  },
  "metadata": {
    "apiVersion": "v3",
    "requestId": "request-uuid"
  }
}
No session
{
  "success": true,
  "message": "No active custom board session",
  "data": {
    "senderId": "913614068784",
    "phoneNumberId": "486728586446799",
    "session": null
  },
  "metadata": {
    "apiVersion": "v3",
    "requestId": "request-uuid"
  }
}

Note

A conversation with no active session is a success response with session: null, not a 404. The active lookup never returns the owner token.

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v3/custom-boards/sessions/active" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v3/custom-boards/sessions/active", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v3/custom-boards/sessions/active");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v3/custom-boards/sessions/active",
    headers={
        "Authorization": "Bearer w91_live_xxx",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v3/custom-boards/sessions/active");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs